# Check container upgrade

Monitoring plugin to check if containers are upgradable. By default all running container are checked.

Check are done by running Icinga/Nagios compatible check plugin inside containers.

## Installation

```
git clone https://gitea.zionetrix.net/bn8/check_container_upgrade.git /usr/local/src/check_container_upgrade
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_container_upgrade/check_container_upgrade /usr/local/lib/nagios/plugins/
echo "nagios ALL=NOPASSWD: /usr/local/lib/nagios/plugins/check_container_upgrade" > /etc/sudoers.d/nagios-containers
chmod 0400 /etc/sudoers.d/nagios-containers
echo "command[check_container_upgrade]=sudo /usr/local/lib/nagios/plugins/check_container_upgrade" > /etc/nagios/nrpe.d/containers.cfg
service nagios-nrpe-server reload
```

## Usage

```
Usage : check_container_upgrade [-d] [-E /path/to/engine] [container1,...]
	-E [path]               Force a specific engine (possible values: auto docker podman, default: auto)
	-x [container]		Exclude specified container (could be repeat)
	-M [integer]		Max number of container checks to run in parallel (default: 4, 0=no limit)
	-d			Debug mode
	-X			Enable bash tracing (=set -x)
	-h 			Show this message
```

## Copyright

Copyright (c) 2024 Benjamin Renard <brenard@zionetrix.net>

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
